# -*- encoding : utf-8 -*-

class Admin::DProductsController < ApplicationController

	before_filter :auth_admin
	
	layout "admin"
	


	before_filter :find_d_products

	def index 

	end


	def cible
		
		render :layout => false
		
	end
	
	
	def new
	
		@d_product = DProduct.new()
    
	end


	def edit
	
    
		@d_product = DProduct.find(params[:id])
    
		
	end
  
	def edit_menu_items
	
   
		@d_product = DProduct.find(params[:id])
    
		
	end


	def create
		
		@d_product = DProduct.new(d_product_params)

		
		if @d_product.save
			flash[:notice] = "L'd_product à été ajouté avec succès."
			self.find_d_products
		
		else
			render :action => "new" 

		end

	end


	def update
	
		@d_product = DProduct.find(params[:id])
	
  
    if params[:d_product]
  		if @d_product.update_attributes(d_product_params)
  			flash[:notice] = "L'd_product à été modifié avec succès."
  		else
  			render :action => "edit"
  		end
      
      
    elsif params[:tag_id]
      @d_product.tag_by_tag_ids(params[:tag_id])
    end
    
  
  
		
	end


	def destroy
	
		@d_product = DProduct.find(params[:id])
		@d_product.destroy

	end
	
	protected
	
	def find_d_products

		
		@d_products = DProduct.order('id DESC')
	
	end
	
  private
    def d_product_params
      params.require(:d_product).permit!
      
  
      
      
    end

  
end
